import React from 'react';
import { TextFieldProps } from '.';
declare type AutocompleteItem = {
    text: string;
    id: number;
};
export declare type AutocompleteProps = TextFieldProps & {
    items: AutocompleteItem[];
    type?: 'text' | 'password' | 'search' | 'url' | 'email';
};
export declare const Autocomplete: React.ForwardRefExoticComponent<Pick<React.DetailedHTMLProps<React.InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "key" | keyof React.InputHTMLAttributes<HTMLInputElement>> & {
    label?: React.ReactNode;
    type?: "number" | "text" | "search" | "tel" | "url" | "email" | "password" | undefined;
    error?: React.ReactNode;
    leftAddon?: React.ReactNode | {
        type: "button";
        label?: string | undefined;
        icon?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
        onClick: () => void;
    };
    rightAddon?: React.ReactNode | {
        type: "button";
        label?: string | undefined;
        icon?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
        onClick: () => void;
    };
    border?: "none" | "bottom" | "all" | undefined;
} & {
    items: AutocompleteItem[];
    type?: "text" | "search" | "url" | "email" | "password" | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export {};
